### Virtual Method

# Vips Source seek

#### Declaration [src]

    gint64
    seek (
      VipsSource* source,
      gint64 offset,
      int whence
    )

#### Description [src]

Move the file read position. You can’t call this after pixel decode starts. The arguments are exactly as `lseek()`.

#### Parameters

`offset`

  Type: `gint64`

  Seek by this offset.

`whence`

  Type: `int`

  Seek relative to this point.

#### Return value

Type: `gint64`

The new file position, or -1 on error.